<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>{% block title %}Welcome to wikilist{%endblock%}</title>

        <!-- styles -->
        {% style "/assets/Semantic-UI/semantic.min.css" %}
        <style>
        .ui.menu .item img.logo {
            margin-right: 1.5em;
        }
        body{
            overflow: auto;
        }
        </style>
        {% block page-style %}
        {% endblock %}
    </head>
    <body>
        <!-- navbar -->


        <nav class="ui main menu borderless">
            <div class="ui container">
                <div class="header item">
                    <img class="logo" src="/img/wikitoki.jpg">
                    Wikitoki
                </div>
                <a href="/contacts"
                   class="item {% ifequal page "contacts.html" %} active{%endifequal%}">
                    Contacts
                </a>
                {% ifequal identity.role "admin" %}
                <a href="/users"
                   class="item {% ifequal page "users.html" %} active{%endifequal%}">
                    Users
                </a>
                {% endifequal %}

                <a href="/logout"
                   class="right floated item">
                    Logout
                </a>
            </div>
        </nav>

        <div class="main ui container">
        {% block content %}
        {% endblock %}
        </div>

        <!-- scripts -->
        {% script "/assets/jquery/jquery.min.js" %}
        {% script "/assets/Semantic-UI/semantic.min.js" %}

        {% block page-scripts %}
        {% endblock %}
    </body>
</html>
